Message: Re: I d`not know how to run Geant4Py in Geant4 ??? Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: I d`not know how to run Geant4Py in Geant4 ???  

Forum: Installation and Configuration
Re: Question I d`not know how to run Geant4Py in Geant4 ??? (Batom)
Date: 11 May, 2011
From: Henry Wang <Henry Wang>

This means you didn't install ROOT correctly.

To install ROOT, you need to grab the source of the latest version http://root.cern.ch/drupal/content/development-version-52902

gunzip file.tar.gz tar xvf file.tar.gz

./configure --enable-python --with-python-incdir=... --with-python-libdir=... the python include directory should point to the directory that contains Python.h and the library directory should point to the directory containing libpythonx.y.so, where 'x' and 'y' are the major and minor version number, respectively.

then make make install

At the end of the day, you want to make sure libPyROOT.so and ROOT.py are created in $ROOTSYS/lib, which is not the case if you didn't install ROOT correctly for python.

Finally, do export PATH=$ROOTSYS/bin:$PATH go into the root directory and type . bin/thisroot.sh

To test if ROOT works correctly, type root

If that works, then exit and in console type python then type import ROOT to see if it works correctly.

Hope that helps.

 Add Message Add Message
to: "Re: I d`not know how to run Geant4Py in Geant4 ??? "

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]